Page MenuHomePhabricator

Document intro to Wikimedia technical areas
Closed, ResolvedPublic

Description

Once T171787 is resolved, put together a concise documentation around Wikimedia technical areas expanding what we currently have in https://upload.wikimedia.org/wikipedia/commons/2/27/Wikimedia_Technical_Areas_An_Overview.pdf.

Link to the documentation for technical areas in whatever format produced (on-wiki or pdf) will be linked from the New Developers page.

We could also consider making a video with voiceover when we know the documentation is up to date.

Event Timeline

bd808 added a subscriber: bd808.Jul 26 2017, 10:06 PM

Just noting: if the PDF file c:File:Wikimedia_Technical_Areas_An_Overview.pdf continued to get used,

  • non-generic sentences like "Mentors XYZ attending Wikimania" would need to get removed.
  • As a volunteer potentially wanting to use those slides, I'd be curious how to find 'the source' as PDF files are hard to remix / edit.

(I checked these slides again today as we'll kill the use of Ruby in QA's Selenium tests soon, but I see that the slides don't mention Ruby with regard to QA. Yay.)

@Aklapper Agree! In any case, I think that the slides don't convey much info, and so I am planning to document the technical areas either on a new page or merge with existing "how to contribute". I will come up with a draft soon and share.

Link to the documentation for technical areas in whatever format produced (on-wiki or pdf) will be linked from the New Developers page.

I am not convinced that is the best idea:
In which specific situation do I, as a beginner, need to have an overview of the technical areas in Wikimedia?
(When I started contributing to software project X in organization Y, I did not care much about organization Y and did not need to know much about it. True story.)

Maybe it could be linked from https://www.mediawiki.org/wiki/New_Developers#Looking_for_additional_resources.3F or linked from one of the page listed in that very section.

I might be wrong here, hence discussion welcome.

srishakatux raised the priority of this task from Normal to High.Oct 4 2017, 6:37 AM
srishakatux moved this task from Jul-Sep 2017 to Oct-Dec 2017 on the Developer-Advocacy board.
srishakatux lowered the priority of this task from High to Normal.Oct 4 2017, 7:07 PM
srishakatux raised the priority of this task from Normal to Needs Triage.Jan 2 2018, 9:43 PM
srishakatux moved this task from Oct-Dec 2017 to To triage on the Developer-Advocacy board.
srishakatux triaged this task as Normal priority.Jan 2 2018, 9:47 PM

@srishakatux: Any thoughts / input on T171789#3653889 ?

@Aklapper Yes, you are right! Maybe I am too lazy, but this task no longer seems valid to me :-/

Just noting: if the PDF file c:File:Wikimedia_Technical_Areas_An_Overview.pdf continued to get used,

  • non-generic sentences like "Mentors XYZ attending Wikimania" would need to get removed.
  • As a volunteer potentially wanting to use those slides, I'd be curious how to find 'the source' as PDF files are hard to remix / edit.

Good point! I have added a link to the PDF source in the file description on Commons. Folks can re-use, copy, comment on slides, etc. Unless there is more to add, I can close this task.

Unless there is more to add, I can close this task.

@srishakatux: I'd say: Do it. (And add DevRel's quarterly project/month column to track this task.)

srishakatux closed this task as Resolved.Mar 8 2018, 5:56 AM